Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class FTNotExprs

    java.lang.Object
      org.basex.query.xpath.expr.Expr
          org.basex.query.xpath.expr.ArrayExpr
              org.basex.query.xpath.expr.FTNotExprs

    public final class FTNotExprs

extends ArrayExpr

FTNotExprs. This expresses the mild combination of ftand and ftnot. The selection A not in B matches a token sequence that matches a, but not when it is part of b.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Sebastian Gath

Field Summary

Fields inherited from class org.basex.query.xpath.expr.ArrayExpr
`exprs`

Constructor Summary
`FTNotExprs(Expr[] e)` Constructor.

Method Summary
`Expr` | `compile(XPContext ctx)` Tries to optimize the Expression.
`static int[][]` | `determineNot(int[][] resultWordA, int[][] resultWordB)` Each result wordA, is not allowed to be contained in result wordB.
`NodeSet` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.

Methods inherited from class org.basex.query.xpath.expr.ArrayExpr
`sameAs, toString, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTNotExprs

    public FTNotExprs(Expr[] e)

  Constructor.

  Parameters:
    `e` - operands joined with the mild not operator

Method Detail

### compile

    public Expr compile(XPContext ctx)
                 throws EvalException

  Description copied from class: `Expr`
  Tries to optimize the Expression.

  Specified by:
    `compile` in class `Expr`
  Parameters:
    `ctx` - expression context
  Returns:
    optimized Expression
  Throws:
    `EvalException` - evaluation exception

### determineNot

    public static int[][] determineNot(int[][] resultWordA,
                                       int[][] resultWordB)

  Each result wordA, is not allowed to be contained in result wordB. each result for wordA, that is not contained in result set wordB, is added to returned result set.

  Parameters:
    `resultWordA` - result allowed to be contained
    `resultWordB` - result not allowed to be contained
  Returns:
    data []

### eval

    public NodeSet eval(XPContext ctx)
                 throws EvalException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `EvalException` - evaluation exception

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD